# Vagrant-Devstack

## Setup the virtual machine

On the host machine

    vagrant up --provider=libvirt
    vagrant ssh-config > ~/.ssh/config

## Setup tunnels

On the host machine

    ssh -L 8081:192.168.56.21:80 vagrant@control -N

On your local machine

    ssh -L8081:127.0.0.1:8081  debian@xxxx -N

Then open your favorite web browser on the following address:

    http://localhost:8081/dashboard/

## Setup proxy (for openstack CLI)

On the host machine

    ssh -L 3128 vagrant@control -N

    export https_proxy=socks5://localhost:3128
    export http_proxy=socks5://localhost:3128
    export no_proxy=localhost,127.0.0.1

The verify with the CLI:

    openstack image list


## References

* https://opendev.org/openstack/devstack-vagrant
